## ros-rolling-ros2-control-test-assets 3.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(ros2_control_test_assets LANGUAGES CXX)

find_package(ament_cmake REQUIRED)

add_library(ros2_control_test_assets INTERFACE)
target_compile_features(ros2_control_test_assets INTERFACE cxx_std_17)
target_include_directories(ros2_control_test_assets INTERFACE
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/ros2_control_test_assets>
)

install(
  DIRECTORY include/
  DESTINATION include/ros2_control_test_assets
)
install(TARGETS ros2_control_test_assets
  EXPORT export_ros2_control_test_assets
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_targets(export_ros2_control_test_assets HAS_LIBRARY_TARGET)
ament_package()

## ros-rolling-ros2-control-test-assets 2.1.0

=== debian/changelog ===
ros-rolling-ros2-control-test-assets (2.1.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 11 Jan 2022 00:00:00 -0000

ros-rolling-ros2-control-test-assets (2.0.0-1focal) focal; urgency=high

  * Adding support for 'initial_value' parameter. (#593 <https://github.com/ros-controls/ros2_control/issues/593>)
  * Contributors: bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 29 Dec 2021 00:00:00 -0000

ros-rolling-ros2-control-test-assets (1.2.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-rolling-ros2-control-test-assets (1.1.0-1focal) focal; urgency=high

  * Moving diffbot_urdf to ros2_control_test_assets. (#558 <https://github.com/ros-controls/ros2_control/issues/558>)
  * Contributors: bailaC

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 24 Oct 2021 23:00:00 -0000

ros-rolling-ros2-control-test-assets (1.0.0-1focal) focal; urgency=high

  * Remove unnecessary includes (#518 <https://github.com/ros-controls/ros2_control/issues/518>)
  * Do not manually set C++ version to 14 (#516 <https://github.com/ros-controls/ros2_control/issues/516>)
  * Contributors: Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Sep 2021 23:00:00 -0000

ros-rolling-ros2-control-test-assets (0.8.0-1focal) focal; urgency=high

  * Use clang format as code formatter (#491 <https://github.com/ros-controls/ros2_control/issues/491>)
  * Transmission parsing v2 (#471 <https://github.com/ros-controls/ros2_control/issues/471>)
  * Added GPIO parsing and test (#436 <https://github.com/ros-controls/ros2_control/issues/436>)
  * Contributors: Bence Magyar, Denis Štogl, Mathias Arbo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Aug 2021 23:00:00 -0000

ros-rolling-ros2-control-test-assets (0.7.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 14 Jun 2021 23:00:00 -0000

ros-rolling-ros2-control-test-assets (0.7.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Jun 2021 23:00:00 -0000

ros-rolling-ros2-control-test-assets (0.6.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 May 2021 23:00:00 -0000

ros-rolling-ros2-control-test-assets (0.6.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 May 2021 23:00:00 -0000

ros-rolling-ros2-control-test-assets (0.5.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 May 2021 23:00:00 -0000

ros-rolling-ros2-control-test-assets (0.4.0-1focal) focal; urgency=high

  * [ros2_control_test_assets] Fix typo (#371 <https://github.com/ros-controls/ros2_control/issues/371>)
  * Contributors: Yutaka Kondo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Apr 2021 23:00:00 -0000

ros-rolling-ros2-control-test-assets (0.3.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 21 Mar 2021 00:00:00 -0000

ros-rolling-ros2-control-test-assets (0.2.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Mar 2021 00:00:00 -0000

ros-rolling-ros2-control-test-assets (0.2.0-1focal) focal; urgency=high

  * Add "Fake" components for simple integration of framework (#323 <https://github.com/ros-controls/ros2_control/issues/323>)
  * Moved example URDFs for parser/scenario tests to assets package (#316 <https://github.com/ros-controls/ros2_control/issues/316>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 26 Feb 2021 00:00:00 -0000

ros-rolling-ros2-control-test-assets (0.1.6-1focal) focal; urgency=high

  * correct hardware interface validation in resource manager. (#317 <https://github.com/ros-controls/ros2_control/issues/317>)
  * Add missing test dep (#321 <https://github.com/ros-controls/ros2_control/issues/321>)
  * Contributors: Bence Magyar, Karsten Knese

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 05 Feb 2021 00:00:00 -0000

ros-rolling-ros2-control-test-assets (0.1.5-1focal) focal; urgency=high

  * Add missing buildtool dep (#319 <https://github.com/ros-controls/ros2_control/issues/319>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 04 Feb 2021 00:00:00 -0000

ros-rolling-ros2-control-test-assets (0.1.4-1focal) focal; urgency=high

  * Add test assets package (#289 <https://github.com/ros-controls/ros2_control/issues/289>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 03 Feb 2021 00:00:00 -0000

ros-rolling-ros2-control-test-assets (0.1.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 21 Jan 2021 00:00:00 -0000

ros-rolling-ros2-control-test-assets (0.1.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 06 Jan 2021 00:00:00 -0000

ros-rolling-ros2-control-test-assets (0.1.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 23 Dec 2020 00:00:00 -0000

ros-rolling-ros2-control-test-assets (0.1.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 22 Dec 2020 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-ros2-control-test-assets
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros2-control-test-assets
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: The package provides shared test resources for ros2_control stack

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ros2-control-test-assets//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-ros2-control-test-assets 3.18.0

=== debian/changelog ===
ros-rolling-ros2-control-test-assets (3.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Aug 2023 23:00:00 -0000

ros-rolling-ros2-control-test-assets (3.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-rolling-ros2-control-test-assets (3.16.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-rolling-ros2-control-test-assets (3.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-rolling-ros2-control-test-assets (3.14.0-1jammy) jammy; urgency=high

  * [URDF Parser] Allow empty urdf tag, e.g., parameter (#1017 <https://github.com/ros-controls/ros2_control/issues/1017>)
  * Contributors: Felix Exner (fexner)

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-rolling-ros2-control-test-assets (3.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 17 May 2023 23:00:00 -0000

ros-rolling-ros2-control-test-assets (3.12.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-rolling-ros2-control-test-assets (3.12.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-rolling-ros2-control-test-assets (3.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-rolling-ros2-control-test-assets (3.11.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Mar 2023 00:00:00 -0000

ros-rolling-ros2-control-test-assets (3.10.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Mar 2023 00:00:00 -0000

ros-rolling-ros2-control-test-assets (3.9.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-rolling-ros2-control-test-assets (3.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-rolling-ros2-control-test-assets (3.8.0-1jammy) jammy; urgency=high

  * Fix CMake install so overriding works (#926 <https://github.com/ros-controls/ros2_control/issues/926>)
  * Contributors: Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-rolling-ros2-control-test-assets (3.7.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-rolling-ros2-control-test-assets (3.6.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-rolling-ros2-control-test-assets (3.5.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-rolling-ros2-control-test-assets (3.5.0-1jammy) jammy; urgency=high

  * Rename class type to plugin name #api-breaking #abi-breaking (#780 <https://github.com/ros-controls/ros2_control/issues/780>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 06 Dec 2022 00:00:00 -0000

ros-rolling-ros2-control-test-assets (3.4.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Nov 2022 00:00:00 -0000

ros-rolling-ros2-control-test-assets (3.3.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Nov 2022 00:00:00 -0000

ros-rolling-ros2-control-test-assets (3.2.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 14 Oct 2022 23:00:00 -0000

ros-rolling-ros2-control-test-assets (3.1.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Oct 2022 23:00:00 -0000

ros-rolling-ros2-control-test-assets (3.0.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-rolling-ros2-control-test-assets (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-rolling-ros2-control-test-assets (2.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Sep 2022 23:00:00 -0000

ros-rolling-ros2-control-test-assets (2.13.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-rolling-ros2-control-test-assets (2.12.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Jul 2022 23:00:00 -0000

ros-rolling-ros2-control-test-assets (2.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Jul 2022 23:00:00 -0000

ros-rolling-ros2-control-test-assets (2.11.0-1jammy) jammy; urgency=high

  * Update maintainers of packages (#753 <https://github.com/ros-controls/ros2_control/issues/753>)
  * Remove ament autolint (#749 <https://github.com/ros-controls/ros2_control/issues/749>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Jul 2022 23:00:00 -0000

ros-rolling-ros2-control-test-assets (2.10.0-1jammy) jammy; urgency=high

  * Make RHEL CI happy! (#730 <https://github.com/ros-controls/ros2_control/issues/730>)
  * CMakeLists cleanup (#733 <https://github.com/ros-controls/ros2_control/issues/733>)
  * Contributors: Andy Zelenak, Márk Szitanics

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 17 Jun 2022 23:00:00 -0000

ros-rolling-ros2-control-test-assets (2.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 18 May 2022 23:00:00 -0000

ros-rolling-ros2-control-test-assets (2.8.0-1jammy) jammy; urgency=high





=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
